Bug 193088 - [stage] stage-fy java/eclipse-langpack
[stage] stage-fy java/eclipse-langpack
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Many People
Assigned To: John Marino
Depends on:
  Show dependency treegraph
Reported: 2014-08-28 07:19 UTC by turutani
Modified: 2014-08-30 22:18 UTC (History)
1 user (show)

See Also:

eclipse-langpack.diff (2.80 KB, patch)
2014-08-28 07:19 UTC, turutani
no flags Details | Diff
stage-fy (4.00 KB, patch)
2014-08-29 05:47 UTC, turutani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description turutani 2014-08-28 07:19:13 UTC
Created attachment 146434 [details]

Stage-fy java/eclipse-langpack.

found some warnings but no problem with a patch attached:
	% pwd
	% make check-plist
	====> Checking for pkg-plist issues (check-plist)
	===> Parsing plist
	===> Checking for items in STAGEDIR missing from pkg-plist
	===> Checking for directories owned by MTREEs
	===> Checking for directories handled by dependencies
	===> Checking for items in pkg-plist which are not in STAGEDIR
	===> No pkg-plist issues found (check-plist)
	% make stage-qa
	====> Running Q/A tests (stage-qa)
	% portlint
	WARN: /usr/ports/java/eclipse-langpack/pkg-descr: exceeds 24 lines, make it shorter if possible.(currently 27 lines)
	WARN: /usr/ports/java/eclipse-langpack/pkg-descr: includes lines that exceed 80 characters.
	WARN: Makefile: Consider defining LICENSE.
	0 fatal errors and 3 warnings found.
Comment 1 John Marino freebsd_committer 2014-08-28 07:44:48 UTC
The pkg-descr is highly repetitive and easily can be compressed to fit in less than 24 lines (e.g. tabular form)

Whoever takes this PR should improve pkg-descr too.
Comment 2 turutani 2014-08-29 05:47:24 UTC
Created attachment 146478 [details]

here is a new patch with pkg-descr fixed.
Comment 3 John Marino freebsd_committer 2014-08-30 22:13:15 UTC
The WWW link goes to an error page, so I'll just put a generic eclipse link
Comment 4 commit-hook freebsd_committer 2014-08-30 22:14:43 UTC
A commit references this bug:

Author: marino
Date: Sat Aug 30 22:14:11 UTC 2014
New revision: 366685
URL: http://svnweb.freebsd.org/changeset/ports/366685

  Stage java/eclipse-langpack

  PR:		193088
  Submitted by:	turutani (Kyoto)

Comment 5 John Marino freebsd_committer 2014-08-30 22:18:00 UTC